Commit ed92a206 authored by Patrick J Cherry's avatar Patrick J Cherry
Browse files

Add symbiosis-common to all packages that generate manpages

Also add the latest symbiosis "meta" repo to our sources lists to allow
symbiosis packages to be installed.
parent 4dd4882c
......@@ -91,7 +91,7 @@ test:xmpp:
stage: package
script:
- export PACKAGE=${CI_BUILD_NAME##package:}
- pushd $PACKAGE ; sautobuild $PWD ; popd
- pushd $PACKAGE ; sautobuild --sources-list ../symbiosis.list --apt-key ../symbiosis.key $PWD ; popd
- mkdir -p pkg/
# These files are all optional
- 'mv -v *.{dsc,build,buildinfo,changes,tar.*} pkg/ 2>/dev/null || true'
......
......@@ -3,7 +3,7 @@ Section: mail
Priority: extra
Maintainer: James Carter <jcarter@bytemark.co.uk>
Uploaders: Patrick J Cherry <patrick@bytemark.co.uk>, Steve Kemp <steve@bytemark.co.uk>
Build-Depends: debhelper (>= 7.0.0), txt2man, gem2deb, dh-systemd
Build-Depends: debhelper (>= 7.0.0), txt2man, gem2deb, dh-systemd, symbiosis-common
Standards-Version: 3.9.6
XS-Ruby-Versions: all
......
RUBYLIB := "$(PWD)/lib:$(PWD)/ext:$(PWD)/../common/lib"
RUBYLIB := "$(PWD)/lib:$(PWD)/../common/lib"
nop:
@echo "Valid targets are (alphabetically) :"
......@@ -18,7 +18,7 @@ test:
man/%.txt: ./sbin/%
[ -d man ] || mkdir man
RUBYLIB=$(RUBYLIB) $< --manual > $@
RUBYLIB=$(RUBYLIB) $< --manual > $@
test -s $@
man/%.man: man/%.txt
......
......@@ -3,7 +3,7 @@ Section: web
Priority: optional
Maintainer: James Carter <jcarter@bytemark.co.uk>
Uploaders: Patrick J Cherry <patrick@bytemark.co.uk>, Steve Kemp <steve@bytemark.co.uk>
Build-Depends: debhelper (>= 7.0.0), apache2-dev, libcap-dev, php5-common, txt2man, gem2deb, ruby
Build-Depends: debhelper (>= 7.0.0), apache2-dev, libcap-dev, php5-common, txt2man, gem2deb, ruby, symbiosis-common
Standards-Version: 3.9.6
XS-Ruby-Versions: all
......
......@@ -3,7 +3,7 @@ Section: web
Priority: extra
Maintainer: James Carter <jcarter@bytemark.co.uk>
Uploaders: Patrick J Cherry <patrick@bytemark.co.uk>, Steve Kemp <steve@bytemark.co.uk>
Build-Depends: debhelper (>= 7.0.0), txt2man, gem2deb, ruby
Build-Depends: debhelper (>= 7.0.0), txt2man, gem2deb, ruby, symbiosis-common
Standards-Version: 3.9.6
XS-Ruby-Versions: all
......
......@@ -3,5 +3,5 @@
# This is required for the httpd package to build, as it requires
# symbiosis-common to perform tests.
#
deb http://repo.bytemark.co.uk/symbiosis/jessie ./
deb http://repo.bytemark.co.uk/meta/symbiosis/jessie/latest ./
......@@ -3,7 +3,7 @@ Section: net
Priority: extra
Maintainer: James Carter <jcarter@bytemark.co.uk>
Uploaders: Patrick J Cherry <patrick@bytemark.co.uk>, Steve Kemp <steve@bytemark.co.uk>
Build-Depends: debhelper (>= 7.0.0), gem2deb, txt2man
Build-Depends: debhelper (>= 7.0.0), gem2deb, txt2man, symbiosis-common
Standards-Version: 3.9.6
XS-Ruby-Versions: all
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment